Get company default settings
Returns default settings for your company.
curl --request GET \
--url https://api.plantpredict.terabase.energy/Company/DefaultSettings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Company/DefaultSettings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Company/DefaultSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 67,
"environmentalConditions": {
"id": 190,
"monthlySoilingLoss": 2,
"monthlyAlbedo": 0.2
},
"powerPlantBuilder": {
"acCollectionLoss": 1,
"dasLoad": 800,
"coolingLoad": 0,
"transformerHighSideVoltage": 34.5,
"transformerNoLoadLoss": 0.2,
"transformerFullLoadLoss": 0.7,
"powerFactor": 1,
"inverter_Id": 8279,
"dcacRatio": 1.2,
"dcWiringLossAtSTC": 1.5,
"dcHealth": 1,
"trackerLoadLoss": 2.028,
"minimumTrackingLimitAngleD": -60,
"maximumTrackingLimitAngleD": 60,
"structureShading": 5,
"module_Id": 224,
"dcFieldTrackingTypeEnum": 1,
"dcFieldBacktrackingType": 1,
"tiltAngle": null,
"gcr": 40,
"moduleOrientation": 1,
"azimuth": 180,
"modTempModel": 0,
"setback": 6.5,
"northSouthRoadWidth": 6.096011996927617,
"eastWestRoadWidth": 6.096011996927617
},
"simulationSettings": {
"errorModelAcc": 2.9,
"errorSensAcc": 5,
"errorIntAnnVar": 3,
"errorMonAcc": 2,
"errorSpaVar": 2,
"transpositionModel": 1,
"diffuseDirectDecompModel": 3,
"useMeteoDni": false,
"airMassModel": 0,
"soilingModel": 0,
"modTempModel": 0,
"spectralShiftModel": 2,
"incAngleModel": 5,
"directBeamShadingModel": 5,
"degradationModel": 0,
"diffuseShadingModel": 1,
"defaultDegradation": 0,
"linearDegradationRate": 0.5,
"firstYearDegradation": false
},
"weatherAPISettings": {
"meteonormSettings": {
"key": null
},
"cprSettings": {
"apiKey": "QVT203yOIhhGnAtr2l3riH#1cSTls8$BL9buGyD7EUxesR5Hp3Npovuwer$ZK1jB",
"userName": null,
"password": null,
"licenseNumber": null
},
"solarGISSettings": {
"key": "Jc7PLhIgjjpnvffkN997",
"tmyKey": "dVH5NnxaWDlDLslwn1plNMk3AuMNnZMHZThy2Mn9xESplDNn3heTh2cM1RhQx4SLLM1BSnOVR3LTY31QzMd1kH112Ydd",
"version": 2
}
},
"essSettings": {
"factor": 0.9,
"usableEnergyCapacityCalendarDeg": 0.2,
"usableEnergyCapacityCycleDeg": 0.005,
"roundtripDCEfficiencyYear1": 95,
"roundtripDCEfficiencyCalendarDeg": 0.05,
"roundtripDCEfficiencyCycleDeg": 0.0002,
"hvacNoLoadLoss": 1.5,
"hvacFullLoadLoss": 10,
"mvNoLoadLoss": 0.2,
"mvFullLoadLoss": 0.7,
"mvCapacity": null,
"inverterEfficiency": 97,
"chargeAlgorithm": 0
},
"financialModelParameters": {
"bosInput": 0.5,
"developmentCostPerWatt": 0.1,
"moduleCostPerWatt": 0.3,
"itcPercentage": 26,
"yearOneEnergyAdjustmentPercentage": 0,
"ppaPrice": 25,
"ppaEscalatorPercentage": 0,
"omYearOne": 3.5,
"omYearlyEscalatorPercentage": 2.5,
"ppaDuration": 20,
"postPPAPrice": 50,
"postPPAPriceEscalationPercentage": 2,
"projectLife": 35,
"discountNPVPercentage": 6,
"itcEligibilityPercentage": 100,
"solarSalvageValuePercentage": 5,
"insuranceCapitalCostPercentage": 0.15,
"insuranceEscalatorPerYearPercentage": 0,
"bonusDepreciationRate": 0,
"stateTaxRate": 6,
"federalTaxRate": 21,
"solarLandLeaseCost": 0,
"solarLandLeaseEscalationPercentage": 0,
"solarPropertyTaxCost": 0,
"solarPropertyTaxEscalationPercentage": 0
},
"miscellaneousSettings": {
"predictionStatus": 1
},
"devPlatformSimulationSettings": {
"moduleType": 1,
"rackingSystem": 1,
"inverterType": 1,
"largeFormatModuleId": 223,
"shingledMonoPercId": 221,
"thinFilmId": 130,
"halfCellMonoPercId": 4956,
"bifacialId": 11,
"orientationTracker": 0,
"widthTracker": 0.02,
"heightTracker": 0.02,
"numOfPVModulesPerRowsTracker": 3,
"heightAboveGroundTracker": 3,
"pilesPerTableTracker": 5,
"pvModuleTiltMin": 0,
"pvModuleTiltMax": 2,
"tableAxisRotationMinTracker": -54,
"tableAxisRotationMaxTracker": 56,
"enableBacktrackingTracker": false,
"orientationMultistringTracker": 0,
"widthMultistringTracker": 0.02,
"maxWindSpeed": 100,
"motorTableGap": 1.87,
"gapBetweenTables": 0.247,
"heightAboveGroundStringTracker": 0.247,
"gapBetweenTrackers": 0.3,
"tableAxisRotationMinMultistringTracker": -54,
"tableAxisRotationMaxMultistringTracker": 56,
"enableBacktrackingMultistringTracker": false,
"orientationFixedTilt": 0,
"widthFixedTilt": 0.02,
"heightFixedTilt": 0.02,
"numOfPVModulesPerRowsFixedTilt": 3,
"heightAboveGroundFixedTilt": 3,
"pilesPerTableFixedTilt": 7,
"calculateModuleTiltAngle": false,
"moduleTiltAngle": 31,
"inverterCentralId": 739,
"powerFactorCentral": 2,
"ocdpRatingCentral": 320,
"maxNumOfTablesPerColumnCentral": 2,
"inverterStringId": 648,
"powerFactorString": 1,
"ocdpRatingString": 320,
"maxNumOfTablesPerColumnString": 5,
"scenarioAnalysisDefault": 1,
"dcacMinimum": 1,
"dcacMaximum": 2,
"dcacInterval": 1,
"gcrMinimum": 1,
"gcrMaximum": 2,
"gcrInterval": 1
},
"devPlatformSitePlanSettings": {
"widthPerimeterRoad": 666,
"setbackFromSolarArrays": 7.1,
"setbackFromSiteBoundary": 1.1,
"widthInternalRoad": 4,
"setbackA": 7.1,
"setbackB": 2,
"setback": 2,
"widthLinearExclusion": 51,
"showLabels": false
}
}"An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Response
Default settings
The Environmental Conditions Page allows you to configure the weather and environmental parameters that influence solar resource modeling in your prediction. This includes selecting weather data, defining soiling and spectral loss profiles, setting design temperatures, and importing horizon scene data.
Show child attributes
Show child attributes
The 3D View provides tools for analyzing terrain and racking placement within your map-based power plant design. This interface enables terrain slope analysis, table slope constraint identification, and post height calculations.
Show child attributes
Show child attributes
The Simulation Settings page allows you to configure the prediction timeframe and select the sub-models used for irradiance calculation, module performance, shading analysis, and degradation. These settings control the algorithms applied during the energy prediction simulation.
Show child attributes
Show child attributes
The Add New Weather page provides three methods for adding weather data to PlantPredict:
Show child attributes
Show child attributes
The Energy Storage System page allows you to configure an optional AC-coupled battery energy storage system (BESS) for your prediction. To enable energy storage, enter a Nameplate capacity value (input #1) and an Inverter Real Power rating (input #9). The Dispatch Algorithm should also be configured to ensure the...
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The Simulation Settings page allows you to configure the prediction timeframe and select the sub-models used for irradiance calculation, module performance, shading analysis, and degradation. These settings control the algorithms applied during the energy prediction simulation.
Show child attributes
Show child attributes
